import { NodeView, NodeViewProps } from '@bangle.dev/core';
import PropTypes from 'prop-types';
import { EditorView } from 'prosemirror-view';
import React from 'react';
export declare type RenderNodeViewsFunction = (props: any) => React.ReactNode;
interface PropsType {
    debugKey: string;
    nodeView: NodeView;
    renderNodeViews: RenderNodeViewsFunction;
    nodeViewUpdateStore: WeakMap<NodeView, () => void>;
}
interface StateType {
    nodeViewProps: NodeViewProps;
}
export declare class NodeViewWrapper extends React.PureComponent<PropsType, StateType> {
    static propTypes: {
        nodeView: PropTypes.Validator<object>;
        renderNodeViews: PropTypes.Validator<(...args: any[]) => any>;
        nodeViewUpdateStore: PropTypes.Validator<WeakMap<object, unknown>>;
    };
    update: () => void;
    attachToContentDOM: (reactElement: HTMLDivElement) => void;
    constructor(props: PropsType);
    getChildren(): JSX.Element | null;
    render(): true | React.ReactChild | React.ReactFragment | React.ReactPortal;
}
export declare const atomNodeViewPropTypes: {
    selected: PropTypes.Validator<boolean>;
    node: PropTypes.Validator<unknown>;
    view: PropTypes.Validator<EditorView<any>>;
    getPos: PropTypes.Validator<(...args: any[]) => any>;
    decorations: PropTypes.Validator<object>;
    attrs: PropTypes.Validator<object>;
    updateAttrs: PropTypes.Validator<(...args: any[]) => any>;
};
export declare const nodeViewPropTypes: {
    children: PropTypes.Validator<PropTypes.ReactElementLike | (PropTypes.ReactElementLike | null | undefined)[]>;
    selected: PropTypes.Validator<boolean>;
    node: PropTypes.Validator<unknown>;
    view: PropTypes.Validator<EditorView<any>>;
    getPos: PropTypes.Validator<(...args: any[]) => any>;
    decorations: PropTypes.Validator<object>;
    attrs: PropTypes.Validator<object>;
    updateAttrs: PropTypes.Validator<(...args: any[]) => any>;
};
export {};
//# sourceMappingURL=NodeViewWrapper.d.ts.map